/*
 * Copyright (C) 2013-2014  Charles Winterhalter
 * School of Computing Science, Newcastle University
 *
 * This file is part of the Java Enrichment of Pathways Extended To Topology
 * (JEPETTO) plugin for Cytoscape.
 *
 * JEPETTO is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * JEPETTO is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details:
 * http://www.gnu.org/licenses/gpl.html
 */

package org.cytoscape.jepetto.internal;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class JEPETTOCloseTabHandling implements ActionListener {

	/*******************
	 *    VARIABLES    *
	 *******************/

	// Tab name
	private String tabName;
	private JEPETTOResultsPanel resultsPanel;


    /*******************
	 *   CONSTRUCTOR   *
	 *******************/

	/**
	 * Default constructor
	 * @param tabName
	 */
	public JEPETTOCloseTabHandling(String tabName, JEPETTOResultsPanel resultsPanel) {
		this.tabName = tabName;
		this.resultsPanel = resultsPanel;
	}


	/*******************
	 *     METHODS     *
	 *******************/

	/**
	 * Get the name of the tab
	 * @return tab name
	 */
	public String getTabName() {
		return tabName;
	}

	/**
	 * Action event for closing a tab
	 */
	public void actionPerformed(ActionEvent evt) {

		int index = resultsPanel.getResultsTabbedPanel().indexOfTab(getTabName());
		if (index >= 0) {
			resultsPanel.getResultsTabbedPanel().removeTabAt(index);
		}
	}
}
