package org.cytoscape.jepetto.internal;

import static org.junit.Assert.assertNotNull;

import org.cytoscape.application.CyApplicationManager;
import org.cytoscape.application.swing.CyHelpBroker;
import org.cytoscape.application.swing.CySwingApplication;
import org.cytoscape.jepetto.internal.CyActivator;
import org.cytoscape.model.CyNetworkFactory;
import org.cytoscape.model.CyNetworkManager;
import org.cytoscape.model.CyTableFactory;
import org.cytoscape.model.subnetwork.CyRootNetworkManager;
import org.cytoscape.service.util.internal.FakeBundleContext;
import org.cytoscape.view.layout.CyLayoutAlgorithmManager;
import org.cytoscape.view.model.CyNetworkViewFactory;
import org.cytoscape.view.model.CyNetworkViewManager;
import org.cytoscape.work.swing.DialogTaskManager;
import org.junit.Before;
import org.junit.Test;
import org.osgi.framework.*;

public final class CyActivatorTest {

    private CyActivator cyActivator;
    private BundleContext bundleContext;

    @Before
    public void setUp() {
		//
		// FakeBundleContext is provided by the service-api test-jar and
		// will create mock services for each Class specified in the
		// constructor.  Other services can be added using the registerService
		// method, like you'd use a normal BundleContext!
		//
		bundleContext = new FakeBundleContext(CySwingApplication.class,
				CyHelpBroker.class,
				CyNetworkFactory.class,
				CyApplicationManager.class,
				CyNetworkManager.class,
				CyTableFactory.class,
				CyRootNetworkManager.class,
				CyNetworkViewFactory.class,
				CyNetworkViewManager.class,
				CyLayoutAlgorithmManager.class,
				DialogTaskManager.class);
        cyActivator = new CyActivator();
    }

    @Test
    public void testConstructor() {
        assertNotNull(cyActivator);
    }

    @Test(expected=RuntimeException.class)
    public void testStartNullBundleContext() {
        cyActivator.start(null);
    }

    @Test
    public void testStart() {
        cyActivator.start(bundleContext);
    }
}
